LEED Brakes » LEED Brakes


Browse Manual Front Kits Products

Sort
View
 
Items 241-277 of 277
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to...More Details »
Item #: BFC1002-FA3X
Condition: New
Price: $1,214.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything...More Details »
Item #: BFC1002-3A3X
Condition: New
Price: $1,213.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount Disc/Drum kit includes everything...More Details »
Item #: BFC1002-3A1X
Condition: New
Price: $1,204.99

Qty:

Chevelle, Camaro, Monte Carlo, GTO, Firebird, Skylark
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: RFC1002-305X
Condition: New
Price: $1,114.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This Disc/Disc side mount kit includes everything...More Details »
Item #: RFC1002-3A3X
Condition: New
Price: $1,213.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes drum-to-disc front brake conversion kit. This manual front disc brake kit includes...More Details »
Item #: RFC1002-FA1X
Condition: New
Price: $1,214.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete manual drum-to-disc brake conversion from LEED Brakes. This GM AFX manual front disc brake kit...More Details »
Item #: RFC1002-F05X
Condition: New
Price: $1,164.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes manual drum-to-disc front brake conversion kit. This system includes everything needed to...More Details »
Item #: RFC1002-FA3X
Condition: New
Price: $1,214.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a manual front drum-to-disc brake conversion from LEED Brakes. This side mount disc/drum kit includes everything...More Details »
Item #: RFC1002-3A1X
Condition: New
Price: $1,204.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion. In this kit, you receive everything you need to mount single-piston disc brakes...More Details »
Item #: FC1006-305X
Condition: New
Price: $1,039.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-3A1X
Condition: New
Price: $1,194.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-3A3X
Condition: New
Price: $1,194.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006-3A1X
Condition: New
Price: $1,119.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: RFC1006-3A3X
Condition: New
Price: $1,194.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: RFC1006-3A1X
Condition: New
Price: $1,194.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: BFC1006-FA3X
Condition: New
Price: $1,254.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This kit includes everything you need to mount single-piston disc...More Details »
Item #: FC1006-FA3X
Condition: New
Price: $1,179.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: RFC1006-FA3X
Condition: New
Price: $1,254.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles. This drum-to-manual disc...More Details »
Item #: FC2006-C05X
Condition: New
Price: $1,894.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-405X
Condition: New
Price: $1,799.99

Qty:

Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: BFC0005-4C7X
Condition: New
Price: $1,799.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for vehicles equipped with factory front drum...More Details »
Item #: BFC0026-405X
Condition: New
Price: $2,074.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: BFC2004-C05X
Condition: New
Price: $2,084.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: RFC2004-C05X
Condition: New
Price: $2,084.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: FC2004-C05X
Condition: New
Price: $1,984.99

Qty:

Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for select 1971-1973 Ford and Mercury vehicles, including the...More Details »
Item #: BFC0008-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0008-405X
Condition: New
Price: $1,799.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit, designed for factory drum brake spindles. Experience the...More Details »
Item #: FC0026-405X
Condition: New
Price: $1,999.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Ford Full-Size, featuring bold red aluminum calipers and...More Details »
Item #: RFC0026-405X
Condition: New
Price: $2,074.99

Qty:

Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this manual drum-to-disc brake conversion kit for Mopar B & E-Body applications. This kit includes everything needed...More Details »
Item #: FC2005-C05X
Condition: New
Price: $1,894.99

Qty:

Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: RFC0005-4C7X
Condition: New
Price: $1,799.99

Qty:

Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with black calipers....More Details »
Item #: BFC2005-C05X
Condition: New
Price: $1,998.99

Qty:

Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar B & E-Body vehicles with red calipers....More Details »
Item #: RFC2005-C05X
Condition: New
Price: $1,998.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with black calipers. This...More Details »
Item #: BFC2006-C05X
Condition: New
Price: $2,002.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-C05X
Condition: New
Price: $2,002.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C Body vehicle with the safety, reliability, and stopping performance of a LEED Brakes drum-to-manual disc brake conversion kit. This front disc brake conversion kit includes...More Details »
Item #: FC2003-C05X
Condition: New
Price: $1,519.99

Qty:

Items 241-277 of 277